#include "CAbstractComponent.hpp"

namespace CosmicCore {
    constexpr std::string typeToString(EComponentType type)
    {
        switch (type) {
        case EComponentType::COMPONENT_SCRIPT:
            return "Script";
        case EComponentType::COMPONENT_CAMERA:
            return "Camera";
        case EComponentType::COMPONENT_LIGHT:
            return "Light";
        case EComponentType::COMPONENT_RIGIDBODY:
            return "Rigidbody";
        case EComponentType::COMPONENT_COLLIDER:
            return "Collider";
        case EComponentType::COMPONENT_CUSTOM:
            return "Custom";
        case EComponentType::COMPONENT_META:
            return "Meta";
        default:
            return "UNKNOWN_COMPONENT";
        }
    }
}